=== debian/changelog ===
ros-kinetic-stdr-robot (0.3.2-0xenial) xenial; urgency=high

  * Fix cmakes, no more cmake warnings
  * Add forgotten install target for omni_motion_controller (#195 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/195>)

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-kinetic-stdr-robot (0.3.1-0xenial) xenial; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-stdr-robot (0.3.0-0xenial) xenial; urgency=high

  * Migrate to package format 2
  * Angles laser beams evenly (#182 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/pull/182>)
  * Fix laser scans off map bug (#174 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/174>)
  * Add support for kinematic model noise parameters
  * Add support for omni directional motion model
  * Fix segfault on robot_manager due to uninitialized pointer (#159 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/159>)

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-stdr-robot (0.2.0-0xenial) xenial; urgency=high

  * Added CO2 sensors
  * Added sound sensors
  * Added thermal sensors, they return the larger temperature in their span
  * Refactoring on stdr_robot. Removed duplicate code from derived classes.
  * Rfid Reader robot sensor added.

 -- Chris Zalidis <zalidis@gmail.com>  Fri, 25 Jul 2014 07:00:00 -0000

ros-kinetic-stdr-robot (0.1.3-0xenial) xenial; urgency=high

  * Publish odometry
  * Collision detection works decently with random shaped robots
  * Fixed bug preventing robot from turning after collision with obstacle
  * Removed robot's erroneous random collisions in obstacle-free space. #133 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/133>
  * Use footprint points if available.

 -- Chris Zalidis <zalidis@gmail.com>  Tue, 25 Mar 2014 07:00:00 -0000

ros-kinetic-stdr-robot (0.1.2-0xenial) xenial; urgency=high

  * add collision checking
  * fix minor issues with robot reposition

 -- Chris Zalidis <zalidis@gmail.com>  Sun, 09 Mar 2014 08:00:00 -0000

ros-kinetic-stdr-robot (0.1.1-0xenial) xenial; urgency=high

  * fix segfault when robot goes out of map bounds

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 10 Feb 2014 08:00:00 -0000

ros-kinetic-stdr-robot (0.1.0-0xenial) xenial; urgency=high

  * first public release for Hydro

 -- Chris Zalidis <zalidis@gmail.com>  Thu, 06 Feb 2014 08:00:00 -0000
